package com.yanzuoguang.mq.plan;

import com.yanzuoguang.mq.service.QueueService;
import com.yanzuoguang.util.thread.ThreadNext;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

/**
 * 消息队列初始化服务，用于重启时，初始化消息队列对象
 */
@Component
public class MqQueueInitPlan implements ThreadNext.Next {

    @Autowired
    private QueueService queueService;

    public MqQueueInitPlan() {
        ThreadNext.start(this, "queue init error");
    }

    @Override
    public boolean next() throws Exception {
        if (queueService == null) {
            return true;
        }
        queueService.init();
        return false;
    }

    @Override
    public int getNextTime() {
        return 1000;
    }
}
